package gestorTagsRSSI;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class RFIDserver {
	
	static Gestor elGestor;
	private static final int PUERTO = 4001;
	static ServerSocket ss;
	
	public static void calculaIDyCoordCliente (String dirIP, RFIDclienteProxy prox){

		switch (Integer.parseInt(dirIP)) {
        case 13:
        prox.setIDcliente("A");
        prox.setCoordenadas(32,15,0);
        break;
        case 15:  
        prox.setIDcliente("B");
        prox.setCoordenadas(8,15,0);
        break; 
		case 12:  
		prox.setIDcliente("C");
		prox.setCoordenadas(32,0,0);
		break;
        case 25:  
        prox.setIDcliente("D");
        prox.setCoordenadas(0,0,0);
        break;
        case 9:  
        prox.setIDcliente("E");
        prox.setCoordenadas(-1,15,0);
        break;
        case 16: 
        prox.setIDcliente("F");
        prox.setCoordenadas(8,0,0);
        break;          
		}
		
	}
	
	public static void main(String[] args) throws IOException {
		elGestor = new Gestor();
		
		ss = new ServerSocket(PUERTO);

		System.out.println("Esperando clientes...");
		while (true) {
			Socket s = ss.accept();
			
			RFIDclienteProxy prox = new RFIDclienteProxy(s, elGestor);
			calculaIDyCoordCliente(s.getInetAddress().toString().substring(12), prox);
			System.out.println("Nuevo cliente.");
		}		
	}

}
